#!/bin/sh

echo "Bixolon CO Ltd"
echo "BIXOLON PRINTER MAC DRIVER Uninstaller"
echo "---------------------------------------"
echo ""
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

PRODUCT_VERSION=`sw_vers -productVersion`
IFS=. read -ra OS_VERS <<< "$PRODUCT_VERSION"
OS_VERS_MAJOR="${OS_VERS[0]}"
OS_VERS_MINOR="${OS_VERS[1]}"
OS_VERS_PATCH="${OS_VERS[2]}"

echo "Removing filter..."
sudo rm -v /usr/libexec/cups/filter/rastertoBixolon*
echo " "

echo "Removing PPD..."
if [[ $OS_VERS_MINOR -le 10 ]]; then
	sudo rm -rfv /usr/share/cups/model/Bixolon/SPP*
	sudo rm -rfv /usr/share/cups/model/Bixolon/SRPQ*
	sudo rm -rfv /usr/share/cups/model/Bixolon/SRPE*
	sudo rm -rfv /usr/share/cups/model/Bixolon/SRP3*
	sudo rm -rfv /usr/share/cups/model/Bixolon/SRPF*
	sudo rm -rfv /usr/share/cups/model/Bixolon/STP*
	sudo rm -rfv /usr/share/cups/model/Bixolon/BK*
else
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/SPP*
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/SRPQ*
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/SRPE*
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/SRP3*
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/SRPF*
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/STP*
	sudo rm -rfv /Library/Printers/PPDs/Contents/Resources/BK*
fi
echo " "
if [[ $OS_VERS_MINOR -eq 7 ]]; then
	sudo mv /usr/libexec/cups/filter/cgbannertopdf_org /usr/libexec/cups/filter/cgbannertopdf
	sudo chmod +x /usr/libexec/cups/filter/cgbannertopdf
fi


echo "Removing Pkg..."
 sudo rm -frv /Library/Receipts/BIXOLON*..*.*.pkg
 sudo rm -r /Library/Printers/BIXOLON/UnifiedPOS
 sudo pkgutil --forget com.bixolon.pkg.POS.Mobile.CUPS.Driver
echo ""

echo "Restarting CUPS"
    sudo launchctl  unload /System/Library/LaunchDaemons/org.cups.cupsd.plist
	sleep 0.25
    sudo launchctl load /System/Library/LaunchDaemons/org.cups.cupsd.plist
    echo ""

echo "Uninstall Complete"
echo "Delete printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

